<?php
setlocale (LC_ALL, 'de_DE@euro', 'de_DE', 'deu_deu','ge');
?>
</nav>
<article id='bidat-event-single' class='<?=$this->produkt_css?>' itemscope itemtype="http://schema.org/Event">
	<header>
		<h2 itemprop='name'><?=$this->produkt_titel?></h2>
	</header>
	<div class='produkt_image'></div>

	<div class='description' id ='bidat-event-description' itemprop='description'>
		<?=$this->produkt_beschreibung?>
	</div>
	<div id='bidat-event-details'>
		<div class="table">
			<div class="row">
				<div class="col-3 ch">
					Beginn
				</div>
				<div class="col-9">
					<time itemprop='startDate' dateTime='<?=$this->von->format(DateTime::ATOM)?>'><?=strftime('%e. %B %G - %R',$this->von->getTimestamp())?></time>
				</div>
			</div>
			<div class="row">
				<div class="col-3 ch">
					Ende
				</div>
				<div class="col-9">
					<time itemprop='startDate' dateTime='<?=$this->bis->format(DateTime::ATOM)?>'><?=strftime('%e. %B %G - %R',$this->bis->getTimestamp())?></time>
				</div>
			</div>
			<div class="row">
				<div class="col-3 ch">Max. TN</div>
				<div class="col-9"><?=$this->maxtn?></div>
			</div>
			<div class="row">
				<div class="col-3 ch">aktuell TN</div>
				<div class="col-9"><?=$this->tn?></div>
			</div>
			<div class="row">
				<div class="col-3 ch">Freie Plätze</div>
				<div class="col-9"><?=$this->freitn?></div>
			</div>

		<?php
			setlocale(LC_MONETARY, 'de_DE'); 
			if (!is_null($this->de_stattbuchung_Preismodell)) {
				echo "<div class='row' itemscope itemprop='offers' itemtype='http://schema.org/Offer'><div class='col underline'>Preisinformationen</div></div>";
					foreach ($this->de_stattbuchung_Preismodell as $preismodell) {
						echo 	"<meta itemprop='priceCurrency' content='EUR'>
								 <meta itemprop='availability' content='InStock'> 
								 <meta itemprop='url' content='http://".$_SERVER['HTTP_HOST']."/index.php?form=".$this->oid."'>
								 <meta itemprop='price' content='".$preismodell[items][0][preis]."'>";
						echo	"<div class='row'><div class='col-3 ch'>".$preismodell[de_stattbuchung_Teilnehmerart][label]."</div><div class='col-9'>".
						round($preismodell[items][0][preis_brutto], 2) 
						." &euro;</div></div>";
					}
				echo "<meta itemprop='validFrom' content='".$this->validFrom->format(DateTime::ATOM)."'>";
				echo "</div>";
			}
		?>
		
		
		
		<div itemscope itemprop='location' itemtype='http://schema.org/Place'><a href='<?=$this->treffpunkt_link?>'>
			<meta itemprop='name' content='<?=$this->treffpunkt_name?>'>
			<i class="fa fa-flag"></i>
			<span itemprop="address" itemscope itemtype="http://schema.org/PostalAddress" >
			<meta itemprop='name' content='<?=$this->treffpunkt_name?>'>
			<meta itemprop="streetAddress" content='<?=$this->treffpunkt_adr['address']['road']?>'>
			<meta itemprop="postalCode" content='<?=$this->treffpunkt_adr['address']['postcode']?>'>
			<meta itemprop="addressRegion" content=''>
			<meta itemprop="addressLocality" content='<?=$this->treffpunkt_adr['address']['city']?>'>			
			
			<?=$this->treffpunkt_name?></span></a></div>
			<a class='btn btn-primary' href='index.php?modultermine=<?=$this->de_stattbuchung_Produkt?>'>weitere Termine</a>	
			
	</div>
	</div>
	<footer>
		<?php 
			if($this->freitn>0) {
    			echo	"<a class='btn btn-primary' href='index.php?form=".$this->oid."'>Anmeldung</a>";
    		} else { 
    			echo "Ausgebucht";
    		}
		?> 
	</footer>
</article>
